Bug 143696 - irssi does not load perl scripts
irssi does not load perl scripts
Product: Fedora
Classification: Fedora
Component: irssi (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dams
Depends On:
  Show dependency treegraph
Reported: 2004-12-24 07:17 EST by Christopher Stone
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-30 05:30:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2004-12-24 07:17:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
irssi does not load in any script files, and the /script command does not work.  Probably because perl is not being loaded into irssi.

The irssi package over at dag wieers works fine. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Run irssi
2.  Type /script


Actual Results:  It says "script" command not found.

Expected Results:  It should show a list of scripts that have been loaded.

Additional info:
Comment 1 Michael Schwendt 2004-12-24 09:49:58 EST
Doesn't look like a bug. You need to '/load perl' when Perl support is
an optional module and not built in by default. Dag's version has Perl
built in instead of a module.
Comment 2 Christopher Stone 2004-12-24 09:58:50 EST
Fair enough, but might I suggest building irssi with the perl module 
built in, as 99.99% of users are going to be using scripts with 
irssi anyway, having it as a module doesn't make much sense.
Comment 3 Michael Schwendt 2004-12-24 10:22:13 EST
Users, who use perl scripts in irssi, do use the $HOME/.irssi/startup
file, don't they? They would put /load perl in there. With perl
support being a module, /unload perl would still work and increase
flexibility. I'm not the package maintainer, but I don't think
hardcoding perl should be a goal. With perl built in, the sequence
/unload perl /load perl gives confusing errors, btw.
Comment 4 Dams 2005-01-30 05:30:23 EST
I agree with Michael, and i dont see why we should/must hard-link perl
inside irssi, and i prefer modular things. 
It's a matter of taste, i guess.

Note You need to log in before you can comment on or make changes to this bug.